Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.managedevents
Class WorkItemDataEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<H>
              com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent<WorkItemDataEventHandler>
                  com.tibco.bpm.web.client.model.managedevents.WorkItemDataEvent

    public abstract class WorkItemDataEvent

extends ManagedEvent<WorkItemDataEventHandler>

Event for WorkItem actions.

©2012 TIBCO Software Inc.

Since:
  2.0.0

Nested Class Summary
`static class` | `WorkItemDataEvent.Action`

Nested classes/interfaces inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`ManagedEvent.DispatchScope`

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`com.google.gwt.event.shared.GwtEvent.Type<H>`

Field Summary
`static com.google.gwt.event.shared.GwtEvent.Type<WorkItemDataEventHandler>` | `TYPE`

Fields inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`DEFAULT_VERSION, EXT_SUFFIX`

Constructor Summary
`WorkItemDataEvent()`

Method Summary
`static WorkItemDataEvent` | `create()`
`static WorkItemDataEvent` | `create(WorkItemDataEvent.Action action, long workItemId, long version, java.lang.String processId, java.lang.String dataFeed)`
`WorkItemDataEvent.Action` | `getAction()`
`com.google.gwt.event.shared.GwtEvent.Type<WorkItemDataEventHandler>` | `getAssociatedType()`
`java.lang.String` | `getDataFeed()`
`java.lang.String` | `getProcessId()`
`long` | `getVersion()`
`long` | `getWorkItemId()`
`void` | `setAction(WorkItemDataEvent.Action action)`
`void` | `setDataFeed(java.lang.String dataFeed)`
`void` | `setProcessId(java.lang.String processId)`
`void` | `setVersion(long version)`
`void` | `setWorkItemId(long workItemId)`

Methods inherited from class com.tibco.bpm.web.client.model.pagebus.hub.ManagedEvent
`dispatch, dispatchLocal, fromJsonString, fromPageBusMessage, fromPageBusMessageDefault, getDispatchScope, getEventSourceId, getJsonizer, getManagedEventVersion, getReceivedSchemaId, getSchemaId, getSubscription, getTopic, isCacheEnabled, isDispatched, isFireWhenReceivedFromManagedHub, isReceivedFromManagedHub, isRegistered, setCacheEnabled, setDispatched, setDispatchScope, setEventSourceId, setFireWhenReceivedFromManagedHub, setManagedEventVersion, setReceivedSchemaId, setRegistered, setSubscription, toJsonString, toPageBusMessage, toPageBusMessageDefault`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static com.google.gwt.event.shared.GwtEvent.Type<WorkItemDataEventHandler> TYPE

Constructor Detail

### WorkItemDataEvent

    public WorkItemDataEvent()

Method Detail

### create

    public static WorkItemDataEvent create()

### create

    public static WorkItemDataEvent create(WorkItemDataEvent.Action action,
                                           long workItemId,
                                           long version,
                                           java.lang.String processId,
                                           java.lang.String dataFeed)

### getAssociatedType

    public com.google.gwt.event.shared.GwtEvent.Type<WorkItemDataEventHandler> getAssociatedType()

  Overrides:
    `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<WorkItemDataEventHandler>`

### getAction

    public WorkItemDataEvent.Action getAction()

### setAction

    public void setAction(WorkItemDataEvent.Action action)

### getWorkItemId

    public long getWorkItemId()

### setWorkItemId

    public void setWorkItemId(long workItemId)

### getVersion

    public long getVersion()

### setVersion

    public void setVersion(long version)

### getProcessId

    public java.lang.String getProcessId()

### setProcessId

    public void setProcessId(java.lang.String processId)

### getDataFeed

    public java.lang.String getDataFeed()

### setDataFeed

    public void setDataFeed(java.lang.String dataFeed)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.